Package org.apache.solr.client.solrj.response.json

# Class BucketJsonFacet

java.lang.Object
org.apache.solr.client.solrj.response.json.NestableJsonFacet
org.apache.solr.client.solrj.response.json.BucketJsonFacet

public class BucketJsonFacet extends NestableJsonFacet
Represents an individual bucket result of a "term" or "range" facet.

Allows access to JSON like:

       {
         "val": "termX",
         "count": 10,
         "subfacetName": ...
       }

Buckets may contain nested facets of any type.

## Constructor Summary

Constructors
Constructor
Description
`BucketJsonFacet(NamedList<?> singleBucket)`

## Method Summary

Modifier and Type
Method
Description
`protected Set<String>`
`getKeysToSkip()`
`Object`
`getVal()`
Retrieves the value (sometimes called the "key") of this bucket.

### Methods inherited from class org.apache.solr.client.solrj.response.json.NestableJsonFacet

`getBucketBasedFacetNames, getBucketBasedFacets, getCount, getHeatmapFacetByName, getHeatmapFacetNames, getQueryFacet, getQueryFacetNames, getStatNames, getStatValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BucketJsonFacet

public BucketJsonFacet(NamedList<?> singleBucket)

## Method Details

### getVal

public Object getVal()
Retrieves the value (sometimes called the "key") of this bucket.

The type of this object depends on the type of field being faceted on. Usually a Date, Double, Integer, or String

### getKeysToSkip

protected Set<String> getKeysToSkip()

Overrides:
  `getKeysToSkip` in class `NestableJsonFacet`